Test and deploy:
  image: python:3.11.4
  before_script:
    - chmod 700 .
    - pip install ansible-lint==6.17.2 ansible==7.7.0 openstacksdk==0.62.0
  script:
    - ansible-lint
    - ansible-playbook openstack-machine-playbook.yml
